Bug 97148 - Ugly traceback starting redhat-config-users in virtual console
Ugly traceback starting redhat-config-users in virtual console
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-users (Show other bugs)
1.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-10 17:00 EDT by Peter van Egdom
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-14 12:15:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter van Egdom 2003-06-10 17:00:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030530

Description of problem:
When starting "redhat-config-users" in a virtual console - or a program like
Putty, where no X server is present, redhat-config-users generates an ugly
traceback.


Version-Release number of selected component (if applicable):
1.1.9-1

How reproducible:
Always

Steps to Reproduce:
1. start redhat-config-users in a Putty session or virtual console
2.
3.
    

Actual Results:  Traceback (most recent call last):
  File "/usr/share/redhat-config-users/redhat-config-users.py", line 26, in ?
    import mainWindow
  File "/usr/share/redhat-config-users/mainWindow.py", line 24, in ?
    import gtk
  File
"/usr/src/build/218821-i386/install/usr/lib/python2.2/site-packages/gtk-2.0/gtk/__init__.py",
line 43, in ?
RuntimeError: could not open display


Expected Results:
Unable to initialize graphical environment. Most likely cause of failure is that
the tool was not run using a graphical environment.
Please either start your graphical user interface or set your DISPLAY variable.
Caught exception: could not open display


Additional info:
Comment 1 Brent Fox 2003-07-14 12:15:12 EDT
Should be fixed in redhat-config-users-1.1.10-1 in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.